Description

I just installed v1.0.4 to take a look at the gannt chart.  Previous versions did not seem to take dependencies into consideration.  For

example, extending the due date on one task didn't move dependent tasks.  It looks like dependencies are working.  The one major

problem I have now is that in order to plan effectively using the calendar or gannt I can't have tasks getting positioned on weekends. 

So if I am relying on a relationship to set the start date of a particular task, that task might end up starting on Saturday or Sunday. 

Right now the only way I can see to avoid this is to explicitly set a start or due date on all my tasks (no thanks).  I want to be able to

do the following:

If:

Task A

Task B <- depends on completion of A

Task C <- depends on completion of C

Then I only want to set a due date on A, not B or C.  If I decide to alter the due date on A, then B and C should get adjusted

accordingly (skipping weekends of course).  I might also choose to set a start date for A.  In that case it would be nice if A's due date

would come from the start date + time estimate.  Then B and C could be positioned based on time estimate alone.

I use the term weekend loosely.  It would probably be better to just allow the work days to be specified per project.

Related issues:

Related to Redmine - Feature #2161: Time tracking code should respect weekend... Closed 2008-11-11

History

#1 - 2011-01-21 14:52 - Sascha Herrmann

+1

for my full comment see #2161

#2 - 2011-03-23 09:11 - Toshi MARUYAMA

- Category set to Calendar

#3 - 2011-04-27 17:01 - Fernando Hartmann

+1

#4 - 2011-04-28 08:47 - Chris Darts

+1

This really is a must have for those wishing to use Redmine as a fully automated project management and resource scheduling system. I really hope

this functionality will be included in the near future.

#5 - 2011-10-04 17:44 - Carlos Serrano

+1, please it´s so necesary.

#6 - 2012-06-25 17:50 - Aleksey Dubov

+1
